[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNodesEnumerator.Create

Constructor for the class instance.

## Declaration

Source position: comctrls.pp line 3191

`public constructor TTreeNodesEnumerator.Create(`
`ANodes: TTreeNodes`
`);`

## Arguments

`ANodes` |  | Container with the tree nodes visited in the enumerator.

## Description

Create is the constructor for the class instance, and calls the inherited method on entry. Create stores the value in ANodes in the TTreeNodes member. Creates set the default value for the internal position counter used in the class instance.

## See also

TTreeNodes |  | Implements a container for TTreeNode instances.